## flashybrid 0.002

=== Makefile ===
CONFDIR=/etc/flashybrid
DEST=/

all:

install:
	install -d $(DEST)/$(CONFDIR) $(DEST)/sbin $(DEST)/usr/sbin \
		$(DEST)/lib/flashybrid/ondisk_dir $(DEST)/usr/share/man/man8
	install -m 0644 config partial ramtmp ramstore diskstore \
		$(DEST)/$(CONFDIR)
	install -m 0644 ondisk_dir/README $(DEST)/lib/flashybrid/ondisk_dir
	install -m 0644 *.8 $(DEST)/usr/share/man/man8
	install fh-full fh-embed $(DEST)/sbin
	install fh-update $(DEST)/usr/sbin

clean:

=== debian/changelog ===
flashybrid (0.002) unstable; urgency=low

  * Add GPL to source package.
  * Add When section to README.
  * Lots of updates to docs.
  * I am not longer using partial directories, so that part of flashybrid
    is now marked as unsupported. I will take patches though, and it was very
    useful for a year, so I left it in.
  * Split fh into fh-full and fh-embed.
  * Add diskstore support.
  * Make DISKMOUNT optional.
  * Add an /etc/default file that controls whether the init script is
    enabled. Ship with it disabled to avoid hosing systems.
  * Use more bind mounts, and less modification of the root filesystem.
  * Make init script better about not doubling mounts when re-started,
    and make it unmount the ram disk on stop.
  * Supports /dev in a ramdisk for non-devfs system support.
  * Move RAMTMP to ramtmp file.
  * Add man pages.
  * Add --delete to rsync call, delete old files on shutdown sync.

 -- Joey Hess <joeyh@debian.org>  Sun, 23 Nov 2003 12:55:28 -0500

flashybrid (0.001) local; urgency=low

  * First prerelease. Not targeted at Debian archive.

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Oct 2002 13:59:04 -0400

=== debian/control ===
Source: flashybrid
Section: admin
Priority: extra
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.1.17)
Standards-Version: 3.5.7.0

Package: flashybrid
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Description: automates use of a flash disk as the root filesystem
 Flashybrid is a system to help in setting up and managing hybid
 flash/disk/ram based Debian systems which can run most of the time
 using only a small flash disk for their root filesystem and do a useful,
 but limited task (such as being a router, or a PDA, or a rescue system
 on a USB keydrive). The flash can be as small as 32 mb, though 64 to 256
 mb is more comfortable.
 .
 When such a system needs to be upgraded or managed, or if you need a
 full-fledged Debian system temporarily, a flashybrid system converts
 quickly from an embedded system into a larger, normal Debian system.
 .
 Flashybrid supports systems with a supplimental hard disk that holds the
 parts of Debian that cannot fit on flash. It can also support larger
 flash-based systems with no supplimental hard disk. It makes it easy
 to mount a flash disk read-only, to avoid excessive writes to the flash,
 by storing the volatile parts in a ram disk and rsyncing them back to the
 flash at shutdown.
 .
 To use this package, you will need a 2.4 or greater version of the linux
 kernel, with tmpfs support built in.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install debian/apt.conf etc/apt/apt.conf.d/10flashybrid
	$(MAKE) DEST=debian/flashybrid install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README INSTALL TODO
	# It's not a good idea to start flashybrid on install or upgrade.
	# It's an rcS script..
	dh_installinit --no-start -- start 40 S . start 39 6 .
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## flashybrid 0.003

=== debian/changelog ===
flashybrid (0.003) unstable; urgency=low

  * Fix description typo. Closes: #309041

 -- Joey Hess <joeyh@debian.org>  Fri, 13 May 2005 22:41:34 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
 Description: automates use of a flash disk as the root filesystem
- Flashybrid is a system to help in setting up and managing hybid
+ Flashybrid is a system to help in setting up and managing hybrid
  flash/disk/ram based Debian systems which can run most of the time
  using only a small flash disk for their root filesystem and do a useful,
  but limited task (such as being a router, or a PDA, or a rescue system

## flashybrid 0.004

=== debian/changelog ===
flashybrid (0.004) unstable; urgency=low

  * Rebuilt with fixed debhelper to fix exit 0 bug in maint scripts.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Mar 2006 19:48:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 4.1.17)
+Build-Depends: debhelper (>= 5.0.26)
 Standards-Version: 3.5.7.0
 
 Package: flashybrid

## flashybrid 0.13

=== Makefile ===
CONFDIR=/etc/flashybrid
DEST=/

all:

install:
	install -d $(DEST)/$(CONFDIR) $(DEST)/sbin $(DEST)/usr/sbin $(DEST)/usr/share/man/man8
	install -m 0644 config ramtmp ramstore  \
		$(DEST)/$(CONFDIR)
	install -m 0644 *.8 $(DEST)/usr/share/man/man8
	install fh-sync mountro mountrw $(DEST)/sbin

clean:

=== debian/changelog ===
flashybrid (0.13) unstable; urgency=low

  * New maintainer.
  * Merge changes from Xorcom Rapid distribution into Debian (Closes: #352932)
    - Insert changelog items from Rapid dale (Xorcom's current stable version).
    - It looks quite weird, do due conflicts in version numbering.
  * /etc/default/flashybrid:
    - Added option to remove verbosity level.
    - Added option option to specify maximum amount of memory to use.
    - Modified configuration to match Sarge and Etch software.
  * Removed the full configuration and embedded configuration.
  * Only ramtmp and ramdisk are supported right now, all other configurations
    are obsolete.
  * init.d script checks for ability of RAMMOUNT directory before starting.
  * RAMSTORAGE configuration is stored on the ramdrive, which means you can
    modify the configuration, without messing your box. The new configurations
    will be applied on the next reboot.
  * Added a debconf warning, as this package can break systems if not handled
    carefully.

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun,  8 Oct 2006 23:07:20 +0200

flashybrid (0.004.7) dale; urgency=low

  * added -o in the init.d script, the fix of last bug caused FH not to work

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun, 9 Feb 2006 17:00:00 +0200

flashybrid (0.004.6) rapid dale; urgency=low

  * Fixed  typo in init.d (missing space after an if)

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun, 29 Jan 2006 12:00:00 +0200

flashybrid (0.004.5) rapid dale; urgency=low

  * Added /ram into the default installation
  * New optional switch in config FLASH_MAX

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun, 26 Jan 2006 17:00:00 +0200

flashybrid (0.004.4) dale; urgency=low

  * Updated some ramtmp configuration (new directories)
  * Fixed the init.d script messages (not it says what's been synced)
  * Test for non existing directories in init.d script

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun, 8 Jan 2006 15:00:00 +0200

flashybrid (0.004.3) dale; urgency=low

  * updated Uploaders in control file
  * removed the sudo command on fh-sync (oops)

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Thu, 2 Jan 2006 12:00:00 +0200

flashybrid (0.004.2) dale; urgency=low

  * New mountro and mountrw scripts
  * New flashybrid-sync script
  * New verbose option on /etc/defaults, used by init script, set to "yes" 
    by default
  * Upgraded version to 0.004
  * Updated Debian standards version

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Thu, 9 Sep 2005 17:00:00 +0200

=== debian/control ===
Source: flashybrid
Section: admin
Priority: extra
Maintainer: Diego Iastrubni <diego.iastrubni@xorcom.com>
Uploaders: Lior Kaplan <kaplan@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Build-Depends: debhelper (>= 4.2.32), po-debconf
Standards-Version: 3.7.2

Package: flashybrid
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Description: automates use of a flash disk as the root filesystem
 Flashybrid is a system to help in setting up and managing hybrid
 flash/disk/ram based Debian systems which can run most of the time
 using only a small flash disk for their root filesystem and do a useful,
 but limited task (such as being a router, or a PDA, or a rescue system
 on a USB keydrive). The flash can be as small as 32 mb, though 64 to 256
 mb is more comfortable. 
 .
 To use this package, you will need a 2.4 or greater version of the linux
 kernel, with tmpfs support built in.
 .
 Homepage: http://www.xorcom.com/rapid/

## flashybrid 0.13-0.1

=== debian/changelog ===
flashybrid (0.13-0.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf templates translations:
    - French added. Closes: #394732
    - Czech added. Closes: #401922

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Jan 2007 00:02:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	debconf-updatepo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

#	this has been removed, since it does not really work as expected yet	
#	dh_install debian/apt.conf etc/apt/apt.conf.d/
#	mv debian/flashybrid/etc/apt/apt.conf.d/apt.conf debian/flashybrid/etc/apt/apt.conf.d/10flashybrid
	$(MAKE) DEST=debian/flashybrid install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README README.old TODO
#	It's not a good idea to start flashybrid on install or upgrade.
#	It's an rcS script..
	dh_installinit --no-start -- start 40 S . start 39 6 .
	dh_installman
	dh_link
	dh_compress
	dh_installdebconf
	dh_installdeb
	dh_fixperms
	
	dh_gencontrol
	dh_md5sums
	dh_builddeb
		

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## flashybrid 0.15

=== debian/changelog ===
flashybrid (0.15) unstable; urgency=low

  * Fix for package removal when debconf not available. Closes: #416750.
    Thanks to Michael Ablassmeier for reporting and fix.
  * Added German translation (Thanks Matthias Julius). Closes: #416964.
  * Added Portuguese translation (Thanks Luís Piccioch). Closes: #418279.
  * Now depends on debhelper <= 5.0.0 (Etch and above, no Sarge).

 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Sun,  10 Apr 2007 14:26:36 +0300

flashybrid (0.14) unstable; urgency=low

  * Warning message is not longer displayed on updates, if the service is
    up and running. Closes: #410050
  * Default configuration file is not a part of this package, to ease
    the upgrade of packages. Closes: #410053
  * Updated default configuration to match packages on Etch. Sub directories
    of /var/lib have been added or modified: 
     - added dhcp3 (keeping dhcp). Closes: #410055
     - added php5 (keeping php4) 
     - added alsa to the ramstore setup
     - using a lower level apache directory
  * Removed directory "ram" in the source. It's not installed anyway.
  * Removed the file "default_orig" in the source. It's not installed
    directly, but created by the config script.
  * Updated documentation, fixed spelling/english errors. Closes: #410979,
    #410977, #410980, #410981, #410983, #410984, #411031
  * Updated default configuration. Closes: #410989
  * Thanks for the NMU. Closes: #394732, #401922
    
 -- Diego Iastrubni <diego.iastrubni@xorcom.com>  Thu,  8 Mar 2007 14:35:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Diego Iastrubni <diego.iastrubni@xorcom.com>
-Uploaders: Lior Kaplan <kaplan@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>
-Build-Depends: debhelper (>= 4.2.32), po-debconf
+Uploaders: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
+Build-Depends: debhelper (>= 5.0.0), po-debconf
 Standards-Version: 3.7.2
 
 Package: flashybrid

## flashybrid 0.15+nmu1

=== debian/changelog ===
flashybrid (0.15+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Close a parenthesis in debconf templates. Unfuzzy translations.
  * Debconf translations:
    - Dutch. Closes: #448013
    - Russian. Closes: #486350
    - Bulgarian. Closes: #487200
    - Swedish. Closes: #487279
    - Galician. Closes: #487324
    - Basque. Closes: #488059
  * [Lintian] Properly spell Linux in package description
  * [Lintian] Use Homepage field in debian/control
  * [Lintian] No longer ignore errors by "make clean"
  * [Lintian] Fix Makefile to not create an empty usr/sbin directory

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 Jun 2008 18:58:14 +0200

## flashybrid 0.15+nmu2

=== debian/changelog ===
flashybrid (0.15+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues
  * Debconf translations:
    - Swedish. Closes: #491947
    - Finnish. Closes: #492553
    - Japanese. Closes: #493378
    - Bulgarian. Closes: #498989

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Sep 2008 07:30:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Standards-Version: 3.7.2
+Homepage: http://www.xorcom.com/rapid/
 
 Package: flashybrid
 Architecture: all
@@ -17,7 +18,5 @@
  on a USB keydrive). The flash can be as small as 32 mb, though 64 to 256
  mb is more comfortable. 
  .
- To use this package, you will need a 2.4 or greater version of the linux
+ To use this package, you will need a 2.4 or greater version of the Lainux
  kernel, with tmpfs support built in.
- .
- Homepage: http://www.xorcom.com/rapid/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	debconf-updatepo
 	dh_clean

## flashybrid 0.16

=== debian/changelog ===
flashybrid (0.16) unstable; urgency=low

  * QA upload.
  * Put Debian QA Group as maintainer
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Omar Campagne).  Closes: #580968
    - basque and Galician unfuzzied

 -- Christian Perrier <bubulle@debian.org>  Sun, 10 Oct 2010 22:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flashybrid
 Section: admin
 Priority: extra
-Maintainer: Diego Iastrubni <diego.iastrubni@xorcom.com>
-Uploaders: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
 Standards-Version: 3.7.2
 Homepage: http://www.xorcom.com/rapid/

## flashybrid 0.17

=== debian/changelog ===
flashybrid (0.17) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #633382
    - Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).
      Closes: #617727
  * Fix typo in long description. Closes: #627880
  * Add build-arch and build-indep build targets to debian/rules
  * Use 3.0 source format

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Dec 2011 10:00:19 +0100

=== debian/control ===
--- 
+++ 
@@ -17,5 +17,5 @@
  on a USB keydrive). The flash can be as small as 32 mb, though 64 to 256
  mb is more comfortable. 
  .
- To use this package, you will need a 2.4 or greater version of the Lainux
+ To use this package, you will need a 2.4 or greater version of the Linux
  kernel, with tmpfs support built in.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,10 @@
 
 #export DH_VERBOSE=1
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	$(MAKE)

## flashybrid 0.18

=== Makefile ===
CONFDIR=/etc/flashybrid
DEST=/

all:

install:
	install -d $(DEST)/$(CONFDIR) $(DEST)/sbin $(DEST)/usr/share/man/man8
	install -m 0644 config ramtmp ramstore  \
		$(DEST)/$(CONFDIR)
	install -m 0644 *.8 $(DEST)/usr/share/man/man8
	install fh-sync mountro mountrw $(DEST)/sbin

clean:

=== debian/changelog ===
flashybrid (0.18) unstable; urgency=low

  * New maitainer upload (Closes: #564045)
  * Fix init script priority (Closes: #730702)
  * Remove dead homepage URL (Closes: #563514)
  * Fix fh-sync multiple mountpoints (patch from D. Gryazin - Closes: #508365)
  * Fix purge in postrm (patch from P. Khanti - Closes: #454391)
  * General cleanup and update

 -- Thibaut VARENE <varenet@debian.org>  Tue, 08 Apr 2014 14:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: flashybrid
 Section: admin
 Priority: extra
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Thibaut VARENE <varenet@debian.org>
 Build-Depends: debhelper (>= 5.0.0), po-debconf
-Standards-Version: 3.7.2
-Homepage: http://www.xorcom.com/rapid/
+Standards-Version: 3.9.5
 
 Package: flashybrid
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 #	this has been removed, since it does not really work as expected yet	
 #	dh_install debian/apt.conf etc/apt/apt.conf.d/
@@ -35,7 +35,7 @@
 	dh_installdocs README README.old TODO
 #	It's not a good idea to start flashybrid on install or upgrade.
 #	It's an rcS script..
-	dh_installinit --no-start -- start 40 S . start 39 6 .
+	dh_installinit --no-start
 	dh_installman
 	dh_link
 	dh_compress

## flashybrid 0.18+nmu2

=== debian/changelog ===
flashybrid (0.18+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually build with dh_systemd, fixing my previous upload.

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 03 Jul 2016 21:51:14 +0200

flashybrid (0.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install native systemd unit file for rcS script. (Closes: #796612)

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 01 Jul 2016 21:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Thibaut VARENE <varenet@debian.org>
-Build-Depends: debhelper (>= 5.0.0), po-debconf
+Build-Depends: debhelper (>= 5.0.0), dh-systemd, po-debconf
 Standards-Version: 3.9.5
 
 Package: flashybrid

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,11 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs README README.old TODO
+	dh_systemd_enable
 #	It's not a good idea to start flashybrid on install or upgrade.
 #	It's an rcS script..
 	dh_installinit --no-start
+	dh_systemd_start --no-start
 	dh_installman
 	dh_link
 	dh_compress
